﻿
/* *******************************************************************************************************
    ONLY LAYOUT SPECIFIC OVERRIDES SHOULD BE PLACED HERE
    STATUS COLORS ARE DEFINED VIA WEB.CONFIG.PATCH.XML
******************************************************************************************************* */

/* **********************************************
  LOGON
********************************************** */
.login-form .btn-sso {
    background-color: #f37a1f;
    font-size: 15px;
}

.login-form button[type='submit'], .login-form button[type='submit']:hover {
    background: #dadada;
}

.login-form .login-logo {
    background-image: url(../app/img/campaign_portal_logo.png);
}

/* **********************************************
  SIDEBAR
********************************************** */
    .hover-block .logo, .sidebar {
  background-color: #f37a1f !important;
}
.hover-block .logo .marmind-logo {
  /* make marmind logo pure white */
  filter: brightness(0) invert(1);
}

/* initial */
mat-toolbar .main-nav .nav-item button .mat-icon,
mat-toolbar .main-nav .nav-item button .nav-desc,
mat-toolbar .main-nav .nav-item button .reporting-label,
mat-toolbar + .settings .nav-item button .mat-icon,
mat-toolbar + .settings .nav-item button .nav-desc,
mat-toolbar .nav-item.more-wrapper button i {
  color: #fff !important;
}
/* hover */
mat-toolbar .main-nav .nav-item button:hover .mat-icon,
mat-toolbar .main-nav .nav-item button:hover .nav-desc,
mat-toolbar .main-nav .nav-item button:hover .reporting-label,
mat-toolbar + .settings .nav-item button:hover .mat-icon,
mat-toolbar + .settings .nav-item button:hover .nav-desc,
mat-toolbar .nav-item.more-wrapper button:hover i {
  color: #000 !important;
}
mat-toolbar .main-nav .nav-item button:hover,
mat-toolbar + .settings .nav-item button:hover {
  background-color: #ddd !important;
}
/* active ( + hover ) */
mat-toolbar .main-nav .nav-item .active-tab button,
mat-toolbar .main-nav .nav-item .active-tab button:hover .mat-icon,
mat-toolbar .main-nav .nav-item .active-tab button:hover .nav-desc,
mat-toolbar + .settings .nav-item .active-tab button,
mat-toolbar + .settings .nav-item .active-tab button:hover .mat-icon,
mat-toolbar + .settings .nav-item .active-tab button:hover .nav-desc {
  color: #fff !important;
  background-color: #000 !important;
}
/* clicked reporting submenu */
mat-toolbar .main-nav .nav-item button.prio.reporting.cdk-mouse-focused {
  background-color: #ddd !important;
}
mat-toolbar
  .main-nav
  .nav-item
  button.prio.reporting.cdk-mouse-focused
  .mat-icon,
mat-toolbar
  .main-nav
  .nav-item
  button.prio.reporting.cdk-mouse-focused
  .reporting-label {
  color: #000 !important;
}
/* admin */
.md-settings mat-toolbar .main-nav .nav-item button .nav-desc {
  color: #000 !important;
}
.md-settings mat-toolbar .main-nav .nav-item .active-tab button .nav-desc {
  color: #fff !important;
}

/* **********************************************
  TREE
********************************************** */
.core-wrapper #tree .tree-positioning .brand-logo-wrapper {
  display: block;
}
.core-wrapper #tree .tree-positioning .brand-logo-wrapper .brand-logo {
  max-width: 175px;
}

.core-wrapper #tree .context-tree-locator {
  top: 92px;
}

.core-wrapper #tree .tree-positioning .tree-view > ul {
  height: calc(100vh - 110px); /* original, without logo */
  height: calc(
    100vh - 205px
  ); /* check logo height in tree, add height to 110 */
}
.core-wrapper
  #tree
  .fancytree-container
  .fancytree-node.fancytree-active
  .fancytree-expander,
.core-wrapper
  #tree
  .fancytree-container
  .fancytree-node.fancytree-active
  .fancytree-title,
.core-wrapper
  #tree
  .fancytree-container.fancytree-treefocus
  .fancytree-node.fancytree-active
  .fancytree-expander,
.core-wrapper
  #tree
  .fancytree-container.fancytree-treefocus
  .fancytree-node.fancytree-active
  .fancytree-title {
  color: #f37a1f !important;
  /* background-color: initial; */
}
.core-wrapper .fancytree-active .icon.fa {
  color: #f37a1f !important;
}

/* **********************************************
  HEADER
********************************************** */
.action-menu-wrapper .action-menu .selected-action {
  background-color: #f37a1f !important;
}
.core-wrapper .mm-header .header-notifications .btn.btn-danger strong {
  background-color: #f37a1f !important;
}
.no-focus-outline .core-wrapper .header-notifications .btn.btn-danger:focus strong {
  background-color: #f37a1f !important;
}

/* **********************************************
  GENERIC
********************************************** */

.core-wrapper .contentDetail .btn-save {
  background-color: #f37a1f !important;
  color: #fff;
}

.news-overview-list .brand-logo-wrapper {
  display: none !important;
}

/* **********************************************
  LOGIN
********************************************** */
.stihl-info {
  margin: 25px 0;
}


/* server indicator */
.server-indicator {
    position: fixed;
    top: 80px;
    left: 6px;
    border: 1px solid #d9534f;
    border-radius: 4px;
    z-index: 99;
}
    .server-indicator .indicator-wrapper {
        min-width: 48px;
        line-height: 21px;
        background-color: #361514;
        color: #fff;
        text-align: center;
        margin: 1px;
        padding: 0 4px;
        font-size: 9px;
    }
.server-indicator .indicator-wrapper .indicator-alias:after {
    content: 'STAGE';
}

